Configure Interaction Hook
Roles
Analytics Events
/v1/openid/configurationConfigure the Interaction Hook for the OpenID4VCI protocol on your tenant. Many credential issuance journeys require the issuer to perform custom interactions with the user. This could be gathering more information, performing additional authentication steps (E.g, 2FA, MFA or biometric checks) or communicating the terms of service. To facilitate this requirement, you can configure MATTR VII to invoke an interaction hook which will redirect the user to a custom component during the credential issuance journey. This redirect happens after the user is authenticated with your configured identity provider but before the credential is issued to the user. Upon successful completion of the interaction hook, your custom component will redirect the user back to their digital wallet to complete the credential issuance flow. Your interaction hook component can be either a web or native application. We recommend using a web interface because it's more compatible with most scenarios.
Analytic events
- CREDENTIAL_PROVIDER_OPENID_CONFIGURATION_UPDATE_START
- CREDENTIAL_PROVIDER_OPENID_CONFIGURATION_UPDATE_SUCCESS
- CREDENTIAL_PROVIDER_OPENID_CONFIGURATION_UPDATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
The Interaction Hook configuration payload
Interaction Hook configuration.
Response Body
application/json
application/json
curl -X PUT "https://example.vii.au01.mattr.global/v1/openid/configuration" \ -H "Content-Type: application/json" \ -d '{}'{
"interactionHook": {
"url": "https://example-university.com/callback",
"claims": [
"first_name",
"last_name",
"email"
],
"sessionTimeoutInSec": 1200,
"disabled": false,
"secret": "dGtUrijBOT6UUJ8JO4kAFyGfhahDlVVeIk/sPbWTa7c="
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete an Authentication Provider DELETE
Deletes an existing Authentication Provider by providing its ID. ### **Analytic events** * USER_AUTHENTICATION_PROVIDER_DELETE_START * USER_AUTHENTICATION_PROVIDER_DELETE_SUCCESS * USER_AUTHENTICATION_PROVIDER_DELETE_FAIL
Retrieve Interaction Hook GET
Retrieves the Interaction Hook configuration from your tenant. ### **Analytic events** * CREDENTIAL_PROVIDER_OPENID_CONFIGURATION_RETRIEVE_START * CREDENTIAL_PROVIDER_OPENID_CONFIGURATION_RETRIEVE_SUCCESS * CREDENTIAL_PROVIDER_OPENID_CONFIGURATION_RETRIEVE_FAIL